custom_id,作为稳定的外部标识符,方便您在自己的系统中引用该工作空间。
所需权限:
workspace:create请求体
string
必填
工作空间名称
string
必填
调用方定义的唯一标识符,用于外部引用。在您的所有工作空间中必须唯一。
string
工作空间描述
object
附加到工作空间的任意键值元数据
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"name": "My Research Workspace",
"custom_id": "research-ws-001",
"description": "Central workspace for research documents and notes",
"metadata": {
"team": "research",
"priority": "high"
}
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"id": "ws_abc123def456",
"name": "My Research Workspace",
"description": "Central workspace for research documents and notes",
"metadata": {
"team": "research",
"priority": "high"
},
"custom_id": "research-ws-001",
"created_at": "2025-03-10T08:30:00Z",
"updated_at": "2025-03-10T08:30:00Z"
}
}
使用名称和可选元数据创建新的工作空间
POST /openapi/memorylake/api/v3/workspaces
custom_id,作为稳定的外部标识符,方便您在自己的系统中引用该工作空间。
workspace:createcurl -X POST 'https://app.memorylake.ai/openapi/memorylake/api/v3/workspaces' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"name": "My Research Workspace",
"custom_id": "research-ws-001",
"description": "Central workspace for research documents and notes",
"metadata": {
"team": "research",
"priority": "high"
}
}'
{
"success": true,
"message": "Operation completed successfully",
"data": {
"id": "ws_abc123def456",
"name": "My Research Workspace",
"description": "Central workspace for research documents and notes",
"metadata": {
"team": "research",
"priority": "high"
},
"custom_id": "research-ws-001",
"created_at": "2025-03-10T08:30:00Z",
"updated_at": "2025-03-10T08:30:00Z"
}
}